/*global $ noText yesText areYouSureText*/


function verify(settings) {
    var modal = $("#status-modal");
    var footer = $("#status-modal").find(".modal-footer");
    var title = $("#status-modal-title");
    var body = $("#status-modal-body");
    var onYes = settings.onYes || function(){};
    var onNo = settings.onNo || function(){};
    var bodyContent = settings.body || '';
    var baseButton = $("<button/>")
            .addClass("col-xs-5 button btn button-yellow")
            .attr("data-dismiss", "modal");
    var noButton = $(baseButton).clone()
            .text(noText).attr("id","no-button")
            .attr("data-dismiss", "modal").attr("data-user-response", "no");
    var yesButton = $(baseButton).clone()
            .text(yesText)
            .attr("id", "yes-button")
            .addClass("pull-right").attr("data-user-response", "yes");

    $(footer).html('');
    $(title).html('');
    $(body).html('');

    $(modal).on("hidden.bs.modal", function() {
        $(footer).html('');
        $(title).html('');
        $(body).html('');
    });
    
    $(footer).append($("<span>").append(yesButton).append(noButton));
    
    $(title).append(areYouSureText);
    $(body).append(bodyContent);
    $(yesButton).on('click', onYes);
    $(noButton).on('click', onNo);

    $(modal).modal();
    
};

