$(document).ready(function () {


    $("#trending-modal").on('shown.bs.modal', function () {



        $('.trending-input[type="checkbox"]:checked')
            .siblings(".glyphicon-unchecked")
            .removeClass(".glyphicon-unchecked")
            .addClass(".glyphicon-check");


        showNavigationButtons();

    });

    $("#trending-next").click(function(){
        var currentPage = $(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).next().removeClass("hidden").addClass("current-page");
        showNavigationButtons();
    });

     $("#trending-prev").click(function(){
        var currentPage = $(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).prev().removeClass("hidden").addClass("current-page");
        showNavigationButtons();
    });
    


});





function selectTrending(userSelectedPoint, maxElements) {

    console.log("maxElements = " + maxElements);

    var numselected = $('.trending-input[type="checkbox"]:checked').length;
    console.log("numselected = " + numselected);

    var container = userSelectedPoint;
    var input = $(container).children("input");
    var isChecked = $(input).prop("checked");
    console.log(isChecked);
    console.log(numselected, numselected <= 6);
    console.log(!isChecked && numselected > 6);
    
    if (!isChecked && numselected >= maxElements) {
        console.log("We have tooo many");
        var $errorMessage = $("#trending-error");
        $errorMessage.removeClass("hidden");
        setTimeout(function () {
            $errorMessage.addClass("hidden");
        }, 5000);

    } else {
        var checkbox = $(container).find(".checkbox-icon");
        $(input).prop("checked", !isChecked);
        isChecked = !isChecked;
        
        $(checkbox)
            .toggleClass("glyphicon-unchecked", !isChecked)
            .toggleClass("glyphicon-check", isChecked);

    }
    


}


function getMaxElements(elementsPerRow) {
    var panelHeader =  $("#trending-panel").children(".content-panel")
    var maxElements = ($(window).height() - panelHeader.offset().top + panelHeader.height()) / 50;
    console.log("userdefined max", maxElements);

    return maxElements;
}


function showNavigationButtons(){



    console.log($(".current-page").next());
    console.log($(".current-page").prev() == null);
    if ($(".current-page").next().length != 0) {
        $("#trending-next").removeClass("hidden");
    } else {
        $("#trending-next").addClass("hidden");
    }

    if ($(".current-page").prev().length != 0) {
        $("#trending-prev").removeClass("hidden");
    } else {
        $("#trending-prev").addClass("hidden");
    }

    

    
    
}
