$(document).ready(function() {
    var loader = $("<div id='loader'/>").append($("<div/>").addClass("loader"));
    $("#submit-login").click(function() {

        showLoading();
       var loginModal = $("#n_keypad-login");
       var pin = $(loginModal).find("#current-num").val();
       console.log("PIN ====== " + pin);
       jQuery.ajax({
           url: "/login",
           type: "POST",
           data: JSON.stringify({
               pin: pin
           }),
           success: function(data, textStatus, jqXHR) {

               if (data == "Authorized") {
                   location.reload();
               } else {
                   hideLoading();
                   var errorContainer = $(loginModal).find("#error-container");
                   errorContainer.parent().removeClass("alert-info").addClass("alert-error");
                   
                   errorContainer.removeClass("hidden");
                   loader.remove();
                   setTimeout(function(){
                       errorContainer.addClass("hidden");
                        errorContainer.parent().addClass("alert-info").removeClass("alert-error");
                   }, 3500);
                   

               }
               
           }



       });

   });


    var currentNumVar = document.getElementById("current-num");
    currentNumVar.addEventListener("keydown", function (e) {
        if (e.keyCode === 13) {  //checks whether the pressed key is "Enter"
            $("#current-num").append(loader);
            var loginModal = $("#n_keypad-login");
            var pin = $(loginModal).find("#current-num").val();
            console.log("PIN ====== " + pin);
            jQuery.ajax({
                url: "/login",
                type: "POST",
                data: JSON.stringify({
                    pin: pin
                }),
                success: function(data, textStatus, jqXHR) {
                    if (data == "Authorized") {
                        location.reload();
                    } else {

                        var errorContainer = $(loginModal).find("#error-container")
                        errorContainer.parent().removeClass("alert-info").addClass("alert-error");

                        errorContainer.removeClass("hidden");
                        loader.remove();
                        setTimeout(function(){
                            errorContainer.addClass("hidden");
                            errorContainer.parent().addClass("alert-info").removeClass("alert-error");
                        }, 3500);


                    }

                }

            });
        }
    });


});
